Subject: RE: [PATCH 4/9] pull: since --ff-only overrides, handle it first

From: Felipe Contreras <[email-masked]>
Date: Sat, 17 Jul 2021 13:22:37 -0500

Elijah Newren via GitGitGadget wrote:
> From: Elijah Newren <[email-masked]>
> 
> There are both merge and rebase branches in the logic, and previously
> both had to handle fast-forwarding.  Merge handled that implicitly
> (because git merge handles it directly), while in rebase it was
> explicit.  Given that the --ff-only flag is meant to override any
> --rebase or --no-rebase, make the code reflect that by handling
> --ff-only before the merge-vs-rebase logic.
> 
> No functional changes, just making it easier to verify that the codeflow
> matches our precedence rules.

But it does have a functional changes. Now you are calling run_merge()
without update_submodules().

-- 
Felipe Contreras